Bug 695719 - services that depend on /etc/xinetd.d/ scripts do not list xinetd as a dependency
Summary: services that depend on /etc/xinetd.d/ scripts do not list xinetd as a depend...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cvs
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks: 836169
TreeView+ depends on / blocked
 
Reported: 2011-04-12 14:14 UTC by Petr Pisar
Modified: 2012-09-21 14:03 UTC (History)
5 users (show)

Fixed In Version: cvs-1.11.23-15.el6
Doc Type: Bug Fix
Doc Text:
Cause Having installed `cvs' package configured for inet daemon and missing `xinetd' package. There is no dependency between cvs and xinetd. Consequence cvs server is not accessible through network. Fix Sub-package `cvs-inetd' has been created that pulls xinetd package into system and that delivers cvs inetd configuration file instead of the `cvs' sub-package. Thus to configure cvs server as inetd service, one needs too install cvs-inetd that ensures xinet daemon is available. Result xinet daemon is available once cvs inetd configuration file presents on system. Thus after enabling CVS as inet service (disable=no in /etc/xinetd.d/cvs) and rebooting or reloading xinet daemon, CVS server becomes accessible through network.
Clone Of: 634691
Environment:
Last Closed: 2012-09-21 14:03:33 UTC


Attachments (Terms of Use)
Spec file changes from Fedora (52 bytes, text/plain)
2011-08-25 15:33 UTC, Petr Pisar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1302 normal SHIPPED_LIVE cvs bug fix update 2012-11-19 17:29:36 UTC

Description Petr Pisar 2011-04-12 14:14:48 UTC
+++ This bug was initially created as a clone of Bug #634691 +++

Description of problem: Services that have /etc/xinetd.d/* scripts don't list xinetd as a dependency in their rpm configuration. Example:

# rpm -ql cvs | grep -i inetd
/etc/xinetd.d/cvs
# rpm -q cvs --requires | grep -i inetd
# 

Without xinetd installed, services will not be launched at boot time.

[...]

Additional info:
Appears to be an issue in Fedora as well.  It's not enough to put in a dependency on the /etc/xinetd.d/ directory as this is provided by "filesystem", not xinetd.  "cvs" may be a bad example, as a user might choose to install cvs to only have the client, but for others such as "telnet-server" the only reason to install the package is to run a server out of xinetd.

[...]

--- Additional comment from ppisar@redhat.com on 2011-04-12 14:12:14 GMT ---

Proposed solution: To add cvs-inetd subpackage that will deliver /etc/xinetd.d/cvs and that will Require: cvs, xinetd.

Notice regarding name: cvs-server is not proper name because server and client is implemented in one binary and the server can be run by local user (multi-user server with shell access) or through SSH/rsh.

-----

The same problem is in RHEL-6.

Comment 1 RHEL Product and Program Management 2011-07-05 23:41:45 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 2 Petr Pisar 2011-08-25 15:33:59 UTC
Created attachment 519909 [details]
Spec file changes from Fedora

Comment 9 Petr Pisar 2012-07-12 09:45:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    Having installed `cvs' package configured for inet daemon
    and missing `xinetd' package. There is no dependency
    between cvs and xinetd.
Consequence
    cvs server is not accessible through network.
Fix
    Sub-package `cvs-inetd' has been created that pulls xinetd
    package into system and that delivers cvs inetd
    configuration file instead of the `cvs' sub-package. Thus
    to configure cvs server as inetd service, one needs too
    install cvs-inetd that ensures xinet daemon is available.
Result
    xinet daemon is available once cvs inetd configuration file
    presents on system. Thus after enabling CVS as inet
    service  (disable=no in /etc/xinetd.d/cvs) and rebooting
    or reloading xinet daemon, CVS server becomes accessible
    through network.

Comment 13 errata-xmlrpc 2012-09-21 14:03:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1302.html


Note You need to log in before you can comment on or make changes to this bug.